Bug 1614006 - CloudForms VMware OVA Appliance Displays Incorrect Operating System
Summary: CloudForms VMware OVA Appliance Displays Incorrect Operating System
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.9.3
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: GA
: 5.10.0
Assignee: Satoe Imaishi
QA Contact: Kedar Kulkarni
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-08 19:44 UTC by Dustin Scott
Modified: 2019-02-07 23:03 UTC (History)
5 users (show)

Fixed In Version: 5.10.0.12
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:03:31 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
Image from vCenter showing incorrect OS type (13.45 KB, image/png)
2018-08-08 19:44 UTC, Dustin Scott
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:03:37 UTC

Description Dustin Scott 2018-08-08 19:44:41 UTC
Created attachment 1474486 [details]
Image from vCenter showing incorrect OS type

Description of problem:

The CloudForms OVA for VMware is being packaged with the incorrect operating systems type.  The current type displays 'Red Hat Enterprise Linux 6 (64-bit)', but it should display 'Red Hat Enterprise Linux 7 (64-bit)'


Version-Release number of selected component (if applicable):

cfme-appliance-tools-5.9.3.4-1.el7cf.x86_64
cfme-appliance-5.9.3.4-1.el7cf.x86_64
cfme-appliance-common-5.9.3.4-1.el7cf.x86_64
cfme-5.9.3.4-1.el7cf.x86_64
cfme-gemset-5.9.3.4-1.el7cf.x86_64
rh-ruby23-rubygem-redhat_access_cfme-2.0.2-2.el7cf.noarch


How reproducible:


Steps to Reproduce:
1. Deploy CFME as an appliance in vCenter
2. Select the newly deployed appliance in the vCenter inventory
3. Observe the Operating System in the Summary view

Actual results:

'Red Hat Enterprise Linux 6 (64-bit)' is displayed


Expected results:

'Red Hat Enterprise Linux 7 (64-bit)' should be displayed


Additional info:

See attached image for additional details.

Comment 4 CFME Bot 2018-08-28 13:51:52 UTC
New commit detected on ManageIQ/manageiq-appliance-build/master:

https://github.com/ManageIQ/manageiq-appliance-build/commit/1e90ef748a51835dc0e915faad6fd5f1f8ef79ae
commit 1e90ef748a51835dc0e915faad6fd5f1f8ef79ae
Author:     Satoe Imaishi <simaishi@redhat.com>
AuthorDate: Mon May  7 15:14:55 2018 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon May  7 15:14:55 2018 -0400

    Set OS Type to CentOS 64-bit
    (requires imagefactory 9fae45fa12648160dca87026e57d506dbf190a5a or later)

    https://bugzilla.redhat.com/show_bug.cgi?id=1614006

 config/ova.json | 1 +
 1 file changed, 1 insertion(+)

Comment 5 Kedar Kulkarni 2018-11-08 20:24:12 UTC
With build 5.10.0.23 I verified that ova image shows correct OS name in VMware.

Comment 6 errata-xmlrpc 2019-02-07 23:03:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.